---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libthrcputime001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x27F0, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x56260, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x581A0, symBinAddr: 0xE120, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x58590, symBinAddr: 0xE510, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x59530, symBinAddr: 0xF4B0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x59540, symBinAddr: 0xF4C0, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x55ED0, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x55ED4, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x55ED8, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC14, offset: 0xC14, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x56030, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xC8D, offset: 0xC8D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x560E8, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xCAB, offset: 0xCAB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x560EC, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xCC4, offset: 0xCC4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x560F0, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0xCDD, offset: 0xCDD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x560F4, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0xCF6, offset: 0xCF6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x560F8, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x56100, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x936E, offset: 0x936E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x56110, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x56118, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x56120, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x56128, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x56130, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x56138, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x94D2, offset: 0x94D2, size: 0x8, addend: 0x0, symName: __ZL20prevTestedThreadTime, symObjAddr: 0x56180, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x94FD, offset: 0x94FD, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x56188, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x9516, offset: 0x9516, size: 0x8, addend: 0x0, symName: __ZL10iterations, symObjAddr: 0x56190, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x952F, offset: 0x952F, size: 0x8, addend: 0x0, symName: __ZL19prevAgentThreadTime, symObjAddr: 0x561C8, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x9581, offset: 0x9581, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x13B0, symSize: 0x80 }
  - { offsetInCU: 0x9616, offset: 0x9616, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x1300, symSize: 0xB0 }
  - { offsetInCU: 0x9671, offset: 0x9671, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x1200, symSize: 0x100 }
  - { offsetInCU: 0x9904, offset: 0x9904, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x1430, symSize: 0xC0 }
  - { offsetInCU: 0x9956, offset: 0x9956, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x14F0, symSize: 0x220 }
  - { offsetInCU: 0x9B3B, offset: 0x9B3B, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1710, symSize: 0xA0 }
  - { offsetInCU: 0x9BEE, offset: 0x9BEE, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x17B0, symSize: 0x110 }
  - { offsetInCU: 0x9CE4, offset: 0x9CE4, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x18C0, symSize: 0x150 }
  - { offsetInCU: 0x9E41, offset: 0x9E41, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1A10, symSize: 0x30 }
  - { offsetInCU: 0x9F2E, offset: 0x9F2E, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x1A40, symSize: 0x150 }
  - { offsetInCU: 0xA126, offset: 0xA126, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x1B90, symSize: 0x160 }
  - { offsetInCU: 0xA3E6, offset: 0xA3E6, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x1CF0, symSize: 0x4A0 }
  - { offsetInCU: 0xA67F, offset: 0xA67F, size: 0x8, addend: 0x0, symName: _nsk_jvmti_findOptionIntValue, symObjAddr: 0x2860, symBinAddr: 0x2190, symSize: 0xE0 }
  - { offsetInCU: 0xA73F, offset: 0xA73F, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x2270, symSize: 0x1B0 }
  - { offsetInCU: 0xA95A, offset: 0xA95A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x2420, symSize: 0xA0 }
  - { offsetInCU: 0xAA29, offset: 0xAA29, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x24C0, symSize: 0x20 }
  - { offsetInCU: 0xAA60, offset: 0xAA60, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x24E0, symSize: 0x20 }
  - { offsetInCU: 0xAA97, offset: 0xAA97, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x2500, symSize: 0x20 }
  - { offsetInCU: 0xAC06, offset: 0xAC06, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x2520, symSize: 0x1A0 }
  - { offsetInCU: 0xAF22, offset: 0xAF22, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x26C0, symSize: 0x130 }
  - { offsetInCU: 0xB0D2, offset: 0xB0D2, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x2A60, symSize: 0x1B0 }
  - { offsetInCU: 0xB3C1, offset: 0xB3C1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x2C10, symSize: 0x80 }
  - { offsetInCU: 0xB48A, offset: 0xB48A, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x2C90, symSize: 0x6A0 }
  - { offsetInCU: 0xC01F, offset: 0xC01F, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xBE30, symBinAddr: 0x5C50, symSize: 0xB0 }
  - { offsetInCU: 0xC096, offset: 0xC096, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x3330, symSize: 0x70 }
  - { offsetInCU: 0xC152, offset: 0xC152, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x33A0, symSize: 0xA0 }
  - { offsetInCU: 0xC25D, offset: 0xC25D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x3440, symSize: 0x40 }
  - { offsetInCU: 0xC353, offset: 0xC353, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x3480, symSize: 0x2B0 }
  - { offsetInCU: 0xC6F9, offset: 0xC6F9, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x3730, symSize: 0xC0 }
  - { offsetInCU: 0xC83F, offset: 0xC83F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x37F0, symSize: 0x10 }
  - { offsetInCU: 0xC901, offset: 0xC901, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x3800, symSize: 0x220 }
  - { offsetInCU: 0xCBFE, offset: 0xCBFE, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x3A20, symSize: 0x10 }
  - { offsetInCU: 0xCC5B, offset: 0xCC5B, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x3A30, symSize: 0x4B0 }
  - { offsetInCU: 0xD243, offset: 0xD243, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA0C0, symBinAddr: 0x3EE0, symSize: 0x10 }
  - { offsetInCU: 0xD2A0, offset: 0xD2A0, size: 0x8, addend: 0x0, symName: _callbackVMInit, symObjAddr: 0xA0D0, symBinAddr: 0x3EF0, symSize: 0x70 }
  - { offsetInCU: 0xD34A, offset: 0xD34A, size: 0x8, addend: 0x0, symName: __ZL12checkCpuTimeP9_jvmtiEnvP8_jobjectPyS3_PKc, symObjAddr: 0xA140, symBinAddr: 0x3F60, symSize: 0x14A0 }
  - { offsetInCU: 0xD823, offset: 0xD823, size: 0x8, addend: 0x0, symName: _callbackVMDeath, symObjAddr: 0xB5E0, symBinAddr: 0x5400, symSize: 0x1E0 }
  - { offsetInCU: 0xDAA6, offset: 0xDAA6, size: 0x8, addend: 0x0, symName: _callbackThreadStart, symObjAddr: 0xB7C0, symBinAddr: 0x55E0, symSize: 0x120 }
  - { offsetInCU: 0xDC03, offset: 0xDC03, size: 0x8, addend: 0x0, symName: _callbackThreadEnd, symObjAddr: 0xB8E0, symBinAddr: 0x5700, symSize: 0x120 }
  - { offsetInCU: 0xDD8C, offset: 0xDD8C, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xBA00, symBinAddr: 0x5820, symSize: 0x430 }
  - { offsetInCU: 0xE2FA, offset: 0xE2FA, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xBEE0, symBinAddr: 0x5D00, symSize: 0x36A }
...
